<?php     namespace Concrete\Package\Profolio\Block\ProResume;
use \Concrete\Core\Block\BlockType\BlockType,
\Concrete\Core\Block\BlockController;
use Loader;
use \Concrete\Core\Block\View\BlockView as BlockView;
use Core;

defined('C5_EXECUTE') or die(_("Access Denied.")); 
class Controller extends BlockController
{
    protected $btTable = 'btProResume';
    protected $btInterfaceWidth = "520";
    protected $btWrapperClass = 'ccm-ui';
    protected $btInterfaceHeight = "420";
	protected $btDefaultSet = 'profolio';

    public function getBlockTypeDescription()
    {
        return t("Build your resume or CV.");
    }

    public function getBlockTypeName()
    {
        return t("Pro Resume");
    }
	
	public function getSearchableContent()
    {
        $content = '';
        $db = Loader::db();
        $v = array($this->bID);
        $q = 'select * from btPREntries where bID = ?';
        $r = $db->query($q, $v);
        foreach ($r as $row) {
            $content .= $row['title'] . ' ' . $row['liContent'];
        }
        return $content;
    }
	public function add()
    {
        $this->requireAsset('core/file-manager');
        $this->requireAsset('core/sitemap');
        $this->requireAsset('redactor');
    }
	public function edit()
    {
        $this->add();

        $db = Loader::db();
        $query = $db->GetAll('SELECT * from btPREntries WHERE bID = ? ORDER BY sortOrder', array($this->bID));
        $this->set('rows', $query);
    }

    public function view()
    {
        $db = Loader::db();
        $query = $db->GetAll('SELECT * from btPREntries WHERE bID = ? ORDER BY sortOrder', array($this->bID));
        $this->set('rows', $query);
    }
	
	public function duplicate($newBID)
    {
        $db = Loader::db();
        $v = array($this->bID);
        $q = 'select * from btPREntries where bID = ?';
        $r = $db->query($q, $v);
        foreach ($r as $row) {
            $db->execute(
                'INSERT INTO btPREntries (bID, title, location, timeframe, liContent, sortOrder) values(?,?,?,?,?,?)',
                array(
                    $newBID,
                    $row['title'],
					$row['location'],
					$row['timeframe'],
                    $row['liContent'],
                    $row['sortOrder']
                )
            );
        }
    }
	public function delete()
    {
        $db = Loader::db();
        $db->execute('DELETE from btPREntries WHERE bID = ?', array($this->bID));
        parent::delete();
    }
	
	function save($args) { 
		$db = Loader::db();
		$args['prLabel'] = $args['prLabel'];
		$args['mode'] = $args['mode'];
		$db->execute('DELETE from btPREntries WHERE bID = ?', array($this->bID));
        $count = count($args['sortOrder']);
        $i = 0;
        parent::save($args);
        while ($i < $count) {
            $db->execute(
                'INSERT INTO btPREntries (bID, title, location, timeframe, liContent, sortOrder) values(?,?,?,?,?,?)',
                array(
                    $this->bID,
                    $args['title'][$i],
					$args['location'][$i],
					$args['timeframe'][$i],
                    $args['liContent'][$i],
                    $args['sortOrder'][$i]
                )
            );
            $i++;
        }
	}
}