<?php     defined('C5_EXECUTE') or die("Access Denied.");
$fp = FilePermissions::getGlobal();
$tp = new TaskPermission();
$al = Loader::helper('concrete/asset_library');
$fh = Loader::helper('form/color');
$addSelected = true;
?>
<style>
    .ccm-sol-block-container input,
    .ccm-sol-block-container textarea {
        display: block;
        width: 100%;
    }
    .ccm-sol-block-container .btn-success {
        margin-bottom: 20px;
    }
    .ccm-sol-entry {
        position: relative;
    }
    .ccm-sol-block-container i.fa-sort-asc {
        position: absolute;
        top: 10px;
        right: 10px;
        cursor: pointer;
    }
    .ccm-sol-block-container i:hover {
        color: #5cb85c;
    }
    .ccm-sol-block-container i.fa-sort-desc {
        position: absolute;
        top: 15px;
        cursor: pointer;
        right: 10px;
    }
</style>
<p>
<?php     print Loader::helper('concrete/ui')->tabs(array(
	array('form-options', t('Options'), $addSelected), array('form-licontent', t('Content')), array('form-help', '<i class="fa fa-question-circle"></i>')
));?>
</p>
<!-- Begin Options Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-options">
	<div class="row">
		<div class="col-xs-12">
			<?php      echo $form->label("prLabel", t("Block Label")); ?>
            <div class="input-group">
                <?php      echo $form->text("prLabel",$prLabel?$prLabel:t('Work Experience')); ?>
            </div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php      echo $form->label('mode', t('List Style'));?>
				<?php      echo $form->select('mode', array("work"=>t("Work Experience"),"education"=>t("Education"),"volunteer"=>t("Volunteer Experience"),"projects"=>t("Projects")),$mode);?>
			</div>
		</div>
	</div>
</div>

<!-- Begin List Item Content Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-licontent">
	<div class="ccm-sol-block-container">
		<span class="btn btn-success ccm-add-sol-entry"><?php     echo t('Add Entry') ?></span>
		<?php     if ($rows) {
			foreach ($rows as $row) { ?>
			<div class="ccm-sol-entry well">
				<i class="fa-sort-asc fa"></i>
				<i class="fa-sort-desc fa"></i>
				<div class="form-group">
					<label><?php     echo t('Title') ?></label>
					<input type="text" name="title[]" maxlength="255" value="<?php     echo $row['title'] ?>"/>
				</div>
				<div class="form-group">
					<label><?php     echo t('Location') ?></label>
					<input type="text" name="location[]" placeholder="<?php     echo t('City, State, Country')?>" maxlength="255" value="<?php     echo $row['location'] ?>"/>
				</div>
				<div class="form-group">
					<label><?php     echo t('Timeframe') ?></label>
					<input type="text" name="timeframe[]" placeholder="<?php     echo t('Month, Year')?>" maxlength="255" value="<?php     echo $row['timeframe'] ?>"/>
				</div>
				<div class="form-group">
					<label><?php     echo t('Content') ?></label>
					<textarea class='redactor-content' name="liContent[]"><?php     echo $row['liContent'] ?></textarea>
				</div>
				<input class="ccm-sol-entry-sort" type="hidden" name="sortOrder[]" value="<?php     echo $row['sortOrder'] ?>"/>
				<div class="form-group">
					<span class="btn btn-danger ccm-delete-sol-entry"><?php     echo t('Delete Entry'); ?></span>
				</div>
			</div>
		<?php     }
		} else { ?>
        <script>
            _.defer(function () {
                $('.ccm-add-sol-entry').click();
            });
        </script>
		<?php     } ?>
		<div class="ccm-sol-entry well ccm-sol-entry-template" style="display: none;">
			<i class="fa-sort-asc fa"></i>
			<i class="fa-sort-desc fa"></i>
			<div class="form-group">
				<label><?php     echo t('Title') ?></label>
				<input type="text" name="title[]" value="" maxlength="255" />
			</div>
			<div class="form-group">
				<label><?php     echo t('Location') ?></label>
				<input type="text" name="location[]" placeholder="<?php     echo t('City, State, Country')?>" maxlength="255" value="<?php     echo $row['location'] ?>"/>
			</div>
			<div class="form-group">
				<label><?php     echo t('Timeframe') ?></label>
				<input type="text" name="timeframe[]" placeholder="<?php     echo t('Month, Year')?>" maxlength="255" value="<?php     echo $row['timeframe'] ?>"/>
			</div>
			<div class="form-group">
				<label><?php     echo t('Content') ?></label>
				<textarea class='redactor-content' name="liContent[]"></textarea>
			</div>
			<input class="ccm-sol-entry-sort" type="hidden" name="sortOrder[]" value=""/>
			<div class="form-group">
				<span class="btn btn-danger ccm-delete-sol-entry"><?php     echo t('Delete Entry'); ?></span>
			</div>
		</div>
	</div>
</div>

<!-- Begin Help Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-help">
	<div class="row">
		<div class="col-xs-12">
			<h3><?php     echo t('Help')?></h3>
			<hr />
			<p><strong><?php     echo t('Quick Links')?></strong><br />
			<a href="https://www.concrete5.org/marketplace/addons/stylish-ordered-lists/" target="_blank"><?php     echo t('Marketplace Page')?></a><br />
			<a href="https://www.concrete5.org/profile/-/view/11911/" target="_blank"><?php     echo t('Developer Page')?></a></p>
		</div>
	</div>
</div>
<script>
    (function() {
        var container = $('.ccm-sol-block-container');
        var doSortCount = function () {
            $('.ccm-sol-entry', container).each(function (index) {
                $(this).find('.ccm-sol-entry-sort').val(index);
            });
        };
        doSortCount();
        var cloneTemplate = $('.ccm-sol-entry-template', container).clone(true);
        cloneTemplate.removeClass('.ccm-sol-entry-template');
        $('.ccm-sol-entry-template').remove();

        $(cloneTemplate).add($('.ccm-sol-entry', container)).find('.ccm-delete-sol-entry').click(function () {
            var deleteIt = confirm('<?php     echo t('Are you sure?') ?>');
            if (deleteIt == true) {
                $(this).closest('.ccm-sol-entry').remove();
                doSortCount();
            }
        });

        container.find('.redactor-content').redactor({
            minHeight: '120',
            'concrete5': {
                filemanager: <?php     echo $fp->canAccessFileManager()?>,
                sitemap: <?php     echo $tp->canAccessSitemap()?>,
                lightbox: true
            }
        });

        var attachSortDesc = function ($obj) {
            $obj.click(function () {
                var myContainer = $(this).closest('.ccm-sol-entry');
                myContainer.insertAfter(myContainer.next('.ccm-sol-entry'));
                doSortCount();
            });
        };

        var attachSortAsc = function ($obj) {
            $obj.click(function () {
                var myContainer = $(this).closest('.ccm-sol-entry');
                myContainer.insertBefore(myContainer.prev('.ccm-sol-entry'));
                doSortCount();
            });
        };
        $('i.fa-sort-desc', container).each(function () {
            attachSortDesc($(this));
        });
        $('i.fa-sort-asc', container).each(function () {
            attachSortAsc($(this));
        });
        $('.ccm-add-sol-entry', container).click(function () {
            var newClone = cloneTemplate.clone(true);

            newClone.show().find('.redactor-content').redactor({
                minHeight: '120',
                'concrete5': {
                    filemanager: <?php     echo $fp->canAccessFileManager()?>,
                    sitemap: <?php     echo $tp->canAccessSitemap()?>,
                    lightbox: true
                }
            });
            container.append(newClone);
            attachSortAsc(newClone.find('i.fa-sort-asc'));
            attachSortDesc(newClone.find('i.fa-sort-desc'));
            var thisModal = $(this).closest('.ui-dialog-content');
            var newSlide = $('.ccm-sol-entry').last();
            thisModal.scrollTop(newSlide.offset().top);
            doSortCount();
        });
    }());
</script>
