<?php     
namespace Concrete\Package\Profolio;
use Concrete\Core\Package\Package;
use Concrete\Core\Page\Theme\Theme;
use Loader;
use BlockType;
use BlockTypeSet;
use CollectionAttributeKey;
use Concrete\Core\Attribute\Type as AttributeType;
defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends Package
{

    protected $pkgHandle = 'profolio';
    protected $appVersionRequired = '5.7.3';
    protected $pkgVersion = '0.9';
    protected $pkgAllowsFullContentSwap = false;

    public function getPackageName() {
        return t("Profolio");
    }

    public function getPackageDescription() {
        return t("A responsive professional CV and resume template.");
    }

    public function install() {
        $pkg = parent::install();
        Theme::add('profolio', $pkg);
		// install blocks
		BlockTypeSet::add("profolio","Profolio", $pkg);
        BlockType::installBlockTypeFromPackage('pro_contact', $pkg);
		BlockType::installBlockTypeFromPackage('pro_resume', $pkg);
		
		$imgAttr = AttributeType::getByHandle('image_file'); 
  		$thumb = CollectionAttributeKey::getByHandle('thumbnail'); 
		if(!is_object($thumb)) {
	     	CollectionAttributeKey::add($imgAttr, 
	     	array(
	     		'akHandle' => 'thumbnail', 
	     		'akName' => t('Thumbnail Image'), 
	     	),$pkg);
	  	}
    }
	public function uninstall(){
		parent::uninstall();
		$db = Loader::db();
		$db->Execute('DROP TABLE IF EXISTS btProContact, btProResume, btPREntries');
	}

}
